%! Author = ahmed_hassanien
%! Date = 3/28/20

% Preamble
\documentclass[numbering=fullbar]{beamer}

\usetheme{focus} % Use the Focus theme supplied with the template

\definecolor{main}{RGB}{92, 138, 168}
\definecolor{background}{RGB}{240, 247, 255}

% Packages
\usepackage{booktabs} % Required for better table rules

%----------------------------------------------------------------------------------------
%	 TITLE SLIDE
%----------------------------------------------------------------------------------------
\title{Data Center At Home}
\subtitle{From Router to Cloud}
\author{Ahmed Hassanien}
\titlegraphic{\includegraphics{resources/images/elep.png}}
\date{28 03 2020}
%------------------------------------------------

% Document
\begin{document}

    \begin{frame}
        \maketitle % Automatically created using the information in the commands above
    \end{frame}

    %----------------------------------------------------------------------------------------
    %	 SECTION 1
    %----------------------------------------------------------------------------------------


    \section{Working With Your Router}\label{sec:working-with-your-router} % Section title slide, unnumbered

    %------------------------------------------------

    \begin{frame}{OpenWrt Project}
        \begin{itemize}
            \item The OpenWrt Project is a Linux operating system targeting embedded devices.
            \pause
            \item Instead of trying to create a single, static firmware, OpenWrt provides a fully writable filesystem with package management.
        \end{itemize}
    \end{frame}

    \begin{frame}{Why use OpenWrt?}
        \textbf{Performance \& stability} OpenWrt is designed by network professionals and incorporates many algorithms from recent research that perform far better than vendor-supplied firmware.
        \pause
        \begin{itemize}
            \item OpenWrt is stable, and operates reliably for long periods of time.
            \pause
            \item OpenWrt reduces latency/lag and increased network throughput via bufferbloat control algorithms.
            \pause
            \item Wi-Fi improvements support higher data rates and airtime fairness between stations.
            \pause
            \item Older devices are still supported by OpenWrt improvements (as long as RAM/Flash of your device can accommodate new releases) long after the manufacturer stops making updates.
        \end{itemize}
    \end{frame}

    \begin{frame}{Why use OpenWrt?}
        \textbf{Security} OpenWrt is an open source software, many developers from all over the world review the code before it's released.
        \pause
        \begin{itemize}
            \item No hidden backdoors left by hardware vendors.
            \pause
            \item OpenWrt is resistant to common vulnerabilities thanks to its Linux OS which is unaffected by many common attacks.
            \pause
            \item OpenWrt is actively updated so any vulnerabilities are closed shortly after they are discovered.
            \pause
            \item Default OpenWrt configuration is very conservative allowing full internet connectivity without exposing your router or connected devices to attacks.
        \end{itemize}
    \end{frame}

    \begin{frame}{Why use OpenWrt?}
        \textbf{Extensibility} While vendor firmware for a router ships with a fixed set of capabilities, OpenWrt provides more than 3000 packages ready to be installed.
        Some of the more popular packages allow you to:
        \pause
        \begin{itemize}
            \item Run ad-blocking on your router so you can enjoy clean uncluttered web experience from any connected device.
            \pause
            \item Reduce latency/lag (bufferbloat) even during heavy traffic with Smart Queue Management
            \pause
            \item Secure access to your home network when away with OpenVPN or WireGuard server.
            \pause
            \item Prevent your ISP from spoofing and snooping on your DNS requests with DNS encryption.
            \pause
            \item Create a Guest Network for Guest WiFi allowing access to internet, but not your local devices.
            \pause
            \item Access a wider range of Dynamic DNS (DDNS) providers than vendor firmware via DDNS scripts.
        \end{itemize}
    \end{frame}

    \begin{frame}{Why use OpenWrt?}
        \textbf{Configuration} Because OpenWrt is a true Linux-based system, you have full control over all functions of your router/device.
        \pause
        \begin{itemize}
            \item OpenWrt provides both command-line interface (via SSH) and a web-based user interface for configuration.
            \pause
            \item Configuration information is stored in plain-text files to ease the editing and/or copying.
            \pause
            \item OpenWrt Image Generator allows you to create your own firmware images for your device with any customizations (pre-defined password, WiFi, etc).
            \pause
            \item The LuCI WebUI allows you to select themes that suit your needs/tastes In addition, Localization of WebUI is available via packages in over 20 languages.
            \pause
            \item Configure the external LEDs and buttons/switches to suit your needs.
        \end{itemize}
    \end{frame}

    %----------------------------------------------------------------------------------------
    %	 SECTION 2
    %----------------------------------------------------------------------------------------


%    \section{Section 2}

    %------------------------------------------------

%    \begin{frame}{Blocks}
%        These blocks are part of 1 slide, to be displayed consecutively.
%        \begin{block}{Block}
%            Text.
%        \end{block}
%        \pause % Automatically creates a new "page" split between the above and above + below
%        \begin{alertblock}{Alert block}
%            Alert \alert{text}.
%        \end{alertblock}
%        \pause % Automatically creates a new "page" split between the above and above + below
%        \begin{exampleblock}{Example block}
%            Example \textcolor{example}{text}.
%        \end{exampleblock}
%    \end{frame}

    %------------------------------------------------

    %----------------------------------------------------------------------------------------
    %	 CLOSING/SUPPLEMENTARY SLIDES
    %----------------------------------------------------------------------------------------

    \appendix

    \begin{frame}{References}
        \nocite{*} % Display all references regardless of if they were cited
        \bibliography{main}
        \bibliographystyle{plain}
    \end{frame}

\end{document}
